package common.block;

import common.init.Items;
import common.item.Item;
import common.model.Model;
import common.model.ModelProvider;
import common.world.State;

public class BlockCarrot extends BlockCrops
{
    protected Item getSeed()
    {
        return Items.carrot;
    }

    protected Item getCrop()
    {
        return Items.carrot;
    }
    
    public Model getModel(ModelProvider provider, String name, State state) {
    	int age = state.getValue(AGE);
    	return crop(provider, name + "_" + (age == 6 ? 2 : (age / 2)));
    }
}
